
using Godot;

namespace Rokojori
{  
  public class RDSampler: RDObject
  {
    public RDSampler( RDContext context, Rid rid ):base( context, rid )
    {}

    public static RDSampler Create( RDContext context, RDSamplerState samplerState )
    {
      return new RDSampler( context, context.renderingDevice.SamplerCreate( samplerState ) );  
    }
  }
}